%%
%% Copyright (C) 2005 Eric Chassande-Mottin, CNRS (France)
%%
%% This program may be freely copied under the terms of the 
%% GNU General Public License (GPL), version 2, or at your 
%% option any later version.
%%


%% test of dynamic programming, test 2

clear;

N=128;

%% define random track
delta=2*round(2*rand(N,1))-1; 
start=round((N-1)*rand(1))+1;
%start=N/2;
track=start+cumsum(delta);
track(track>N)=2*N-track(track>N);
track(track<=0)=-track(track<=0)+1;

%% draw track in image
t=zeros(N);
for i=1:N,
  t(track(i),i)=1;
end

%% add noise
%% a=randn(N);
%% t=t+a*.8;

%% apply DP search
b=4;
[s,idx]=dp_bcc(t,b,4,2,1);
x=0:b:N;

%% -- make plots
plot(track,';random track;');
hold on;
plot(x,idx,';best CC;');
hold off;
axis([0 N 0 N]);
