%%
%% Copyright (C) 2005 Eric Chassande-Mottin, CNRS (France)
%%
%% This program may be freely copied under the terms of the 
%% GNU General Public License (GPL), version 2, or at your 
%% option any later version.
%%

%% make graphics for figure0

clear

debug=0;

%% -- get the data
load figure0.mat

%% -- make plots
clf;

t=0:N-1;
f=(-N+1:N)/(2*N);
levels=[1/8 1/8];

%% -- make colormap
n_levels=length(levels);
my_gray=flipud(gray(n_levels));
lightest_gray=0.7;
my_gray=lightest_gray*my_gray;

subplot(1,2,1)
contour(t,f,w1,levels);
axis('square');
l1=xlabel('time');
l2=ylabel('(reduced) frequency');
l3=title('linear');

if ~is_octave,
  set(gca,'FontSize',12);
  set(l1,'FontSize',12);
  set(l2,'FontSize',12);
  set(l3,'FontSize',12);
end;

subplot(1,2,2)
contour(t,f,w2,levels);
axis('square');
l1=xlabel('time');
l2=ylabel('(reduced) frequency');
l3=title('non-linear');

if ~is_octave,
  set(gca,'FontSize',12);
  set(l1,'FontSize',12);
  set(l2,'FontSize',12);
  set(l3,'FontSize',12);
end;

colormap(my_gray);

if ~is_octave,  
  if (debug==0)
    print('figure0.eps','-depsc');
    print('figure0.png','-dpng');
  end;
end;
