%%
%% Copyright (C) 2005 Eric Chassande-Mottin, CNRS (France)
%%
%% This program may be freely copied under the terms of the 
%% GNU General Public License (GPL), version 2, or at your 
%% option any later version.
%%

%% make graphics for figure0c

clear

debug=0;

%% -- get the data
load figure0c.mat
w=w.*(w>0);
fs=1.0;

%% -- make plots
clf

subplot(2,2,1)
t=(1:N)/fs; T=N/fs;
plot(t,x);
l1=xlabel('time');
l2=ylabel('amplitude [AU]');
l3=title(['random CC in Gaussian noise, SNR=',num2str(snr)]);
axis([0 T -4 4]);
axis('square');

if ~is_octave,
  set(gca,'FontSize',12);
  set(l1,'FontSize',12);
  set(l2,'FontSize',12);
  set(l3,'FontSize',12);
end;

subplot(2,2,2)
plot(t,real(s));
l1=xlabel('time');
l2=ylabel('amplitude [AU]');
l3=title('noise free random CC');
axis([0 T -4 4]);
axis('square');

if ~is_octave,
  set(gca,'FontSize',12);
  set(l1,'FontSize',12);
  set(l2,'FontSize',12);
  set(l3,'FontSize',12);
end;

subplot(2,2,3)
f=fs*(0:N-1)/(2*N);
imagesc(t,f,w);
colormap(flipud(gray));
axis('xy');
axis([0 T 0 fs/2]);
axis('square');
l1=xlabel('time');
l2=ylabel('frequency');
l3=title('discrete Wigner-Ville');

if ~is_octave,
  set(gca,'FontSize',12);
  set(l1,'FontSize',12);
  set(l2,'FontSize',12);
  set(l3,'FontSize',12);
end;

subplot(2,2,4);
tm=(1:b:N+1)'/fs;
if is_octave,
  plot(t,fs*ifl,'g-');
  hold on;
  plot(tm,fs*m_cc/2/N,'r--');
  hold off
else
  h1=plot(t,fs*ifl,'g-');
  hold on;
  h2=plot(tm,fs*m_cc/2/N,'r--');
  hold off
end;
axis('square');
axis([0 T 0 fs/2]);
l1=xlabel('time');
l2=ylabel('frequency');
l3=title('random chirp [solid/green] best CC [dashed/red]');

if ~is_octave,
  set(gca,'FontSize',12);
  set(h1,'LineWidth',1.5);
  set(h1,'MarkerSize',2);
  set(h2,'LineWidth',1.5);
  set(h2,'MarkerSize',2);
  set(l1,'FontSize',12);
  set(l2,'FontSize',12);
  set(l3,'FontSize',12);
  
  if (debug==0)
    print('figure0c.png','-dpng');
    print('figure0c.eps','-depsc');
  end;
end
